RPM Community Forums

Mailing List Message of <popt-devel>

Re: ARM 64 bit support (aarch64) starting with autoconf 2.69

From: Jeffrey Johnson <n3npq@me.com>
Date: Sun 24 Nov 2013 - 20:01:55 CET
Message-id: <FC78C7EA-D78D-4F04-B532-179737452591@me.com>

On Nov 24, 2013, at 1:43 PM, Robert Scheck wrote:

> Hello all,
> 
> support for the ARM 64 bit CPU architecture (aarch64) was introduced
> in autoconf 2.69. popt appears to use an earlier version of autoconf,
> preventing its being built. 
> 
> Is there a realistic chance to bump AC_PREREQ() from AC_PREREQ(2.57)
> to AC_PREREQ(2.69)? But that might be heavy just for aarch64. Or can
> whoever creates the release somehow else ensure that autoconf 2.69 or
> later is used to create upcoming release tarballs?
> 

There's perhaps portability issues moving to later AutoFu
(but I use autoconf 2.69 all the time in popt).

Likely the easiest fix is to rerun autogen.sh (or use autoreconf):
you could just do that on aarch64 as well.

Will that work?

73 de Jeff
> 
> Greetings,
>  Robert
Received on Sun Nov 24 20:02:01 2013
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.